package com.cultural.heritage.model.dto.book;

import com.cultural.heritage.model.dto.timeinterval.TimeIntervalAddRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "预约日期添加请求体", requiredProperties = {"specificDate", "isAvailable", "type"})
public class BookingDateAddRequest implements Serializable {

    /**
     * 预约具体日期
     */
    @Schema(description = "预约具体日期", example = "2024-11-18")
    private String specificDate;


    /**
     * 是否可预约
     */
    @Schema(description = "是否可预约", example = "1")
    private Integer isAvailable;


    /**
     * 预约类别
     */
    @Schema(description = "预约类别", example = "整套约拍")
    private String type;


    /**
     * 预约时间段列表
     */
    @Schema(description = "预约时间段列表")
    private List<TimeIntervalAddRequest> timeIntervalAddRequestList;


    @Serial
    private static final long serialVersionUID = 1L;
}
