package com.cultural.heritage.model.dto.order.capital;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
@Schema(description = "订单主要信息请求体", requiredProperties = {"userId", "userName", "orderNumber", "addressId", "contactsId",
"couponId", "totalAmount", "orderStatus", "note", "orderItemMainInfoAddRequestList"})
public class OrderMainInfoAddRequest implements Serializable {


//    /**
//     * 用户id
//     */
//    @Schema(description = "用户id(id > 0)", example = "2")
//    private Long userId;


    /**
     * 订单类别
     */
    @Schema(description = "订单类别", example = "product")
    private String orderType;


    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "Hello")
    private String userName;

//
//    /**
//     * 订单编号
//     */
//    @Schema(description = "订单编号", example = "1432442845453453")
//    private String orderNumber;


    /**
     * 地址id
     */
    @Schema(description = "地址id(id > 0)", example = "12")
    private Long addressId;


    /**
     * 联系人id
     */
    @Schema(description = "联系人id(id > 0)", example = "3")
    private Long contactsId;


    /**
     * 优惠券id
     */
    @Schema(description = "优惠券id(id > 0)", example = "2")
    private Long couponId;


    /**
     * 订单总金额
     */
    @Schema(description = "订单总金额", example = "560")
    private BigDecimal totalAmount;

//    /**
//     * 订单状态
//     */
//    @Schema(description = "订单状态", example = "已支付")
//    private String orderStatus;

    /**
     * 订单备注
     */
    @Schema(description = "订单备注", example = "希望能完整体验非遗文化，保持产品原貌，妥善包装")
    private String note;

    /**
     * 订单主要明细信息
     */
    @Schema(description = "订单主要明细信息")
    private List<OrderItemMainInfoAddRequest> orderItemMainInfoAddRequestList;


    @Serial
    private static final long serialVersionUID = 1L;
}
