package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 预约日期表
 * @TableName   booking_date
 */

@Data
@TableName("booking_date")
public class BookingDate implements Serializable {

    /**
     * 预约日期表
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 预约具体日期
     */
    private String specificDate;


    /**
     * 是否可预约
     */
    private Integer isAvailable;


    /**
     * 预约类别
     */
    private String type;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;



    @Serial
    private static final long serialVersionUID = 1L;
}
