package com.cultural.heritage.model.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品
 * @TableName  good
 */
@TableName(value = "good")
@Data
public class Good implements Serializable {
    /**
     * 商品编号
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 商品名
     */
    private String name;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 商品价格
     */
    private BigDecimal price;

    /**
     * 商品图片
     */
    private String goodImg;

    /**
     * 商品简介
     */
    private String intro;

    /**
     * 商品详情简介
     */
    private String introDetail;

    /**
     * 商品详情图片
     */
    private String detailImg;

    /**
     * 商品标签
     */
    private String label;

    /**
     * 商品库存量
     */
    private Integer inventory;

    /**
     * 是否是商品类型
     */
    private Integer isGoodType;

    /**
     * 限定节日名称
     */
    private String festivalName;


    /**
     * 是否上架
     */
    private Integer isShelves;

    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    @Serial
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
