package com.cultural.heritage.service.good;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.cart.CartRecordAddRequest;
import com.cultural.heritage.model.entity.CartRecord;
import com.cultural.heritage.model.vo.cart.CartRecordVO;
import jakarta.servlet.http.HttpServletRequest;

import java.util.List;

public interface CartRecordService extends IService<CartRecord> {

    /**
     * 处理用户购物车已存在该商品
     */
    boolean dealAlreadyExistGood(CartRecordAddRequest cartRecordAddRequest, HttpServletRequest request);


    /**
     * 封装用户购物车中的商品信息
     */
    List<CartRecordVO> transformToCartRecordVOList(List<CartRecord> list);


    /**
     * 校验购物车中的商品信息
     */
    void validCart(CartRecord cartRecord, boolean update);
}
